Subject: bug#37847: [PATCH] Improve client/daemon xdg/systemd experience

From: Vojtech Stepancik <[email-masked]>
Date: Tue, 08 Sep 2020 23:46:01 +0200

This appears to break packages that rely on `invocation-name' to 
be
executable.

When started as a systemd service, the `invocation-name' of the 
server
process
is `emacsd', which is not indicative of the way the process was
launched.

For example Flycheck tries to use this variable to compile elisp 
code
with the same
version of Emacs as the one being used. I'm sure there are others.

Would it be possible to not alter the argv of the daemon under
systemd?

Thanks for consideration.

Vojtěch Štěpančík